#
# spec file for package rubygem-rails
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-rails
Version:        2.3.14
Release:        0.3.1
%define mod_name rails
#
Group:          Development/Languages/Ruby
License:        MIT License (or similar)
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       rubygem-rails-2_3 = %{version}
#
# http://rubyforge.org/projects/rails/
Url:            http://www.rubyonrails.org/
#
Summary:        A web-application framework for the MVC pattern

%description
Rails is a web-application framework for the MVC pattern that includes
both a template engine, controller framework, and object-relational
mapping package. Everything needed to develop web-apps that can run on
CGI, FastCGI, and mod_ruby.



Authors:
--------
    rails development team

%prep

%build

%install
%{__install} -d -m 0755 %{buildroot}%{_bindir}/
%{__ln_s} rails %{buildroot}%{_bindir}/rails

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%ghost %config(noreplace) %{_bindir}/rails

%changelog
* Tue Nov 15 2011 mrueckert@suse.com
- bump requires to version 2.3.14
* Wed Feb 16 2011 mrueckert@suse.de
- bump requires to version 2.3.11
* Wed Oct 27 2010 mrueckert@suse.de
- bump requires to version 2.3.10
* Mon Sep  6 2010 mrueckert@suse.de
- bump requires to version 2.3.9
* Tue May 25 2010 mrueckert@suse.de
- bump requires to version 2.3.8
* Mon Dec 21 2009 mrueckert@suse.de
- bump requires to version 2.3.5
* Tue Sep 29 2009 mrueckert@suse.de
- bump requires to version 2.3.4
* Mon Mar 16 2009 mrueckert@suse.de
- bump requires to version 2.3.2
* Mon Mar  9 2009 mrueckert@suse.de
- bump version number to 2.1.2
* Tue Oct 21 2008 aj@suse.de
- Fix version number.
* Fri Sep 12 2008 mrueckert@suse.de
- bump requires to 2.1.1
* Mon Jan 21 2008 mrueckert@suse.de
- started a new wrapper package. it will always pull in the latest
  rails package
* Wed Oct 17 2007 mrueckert@suse.de
- update to version 1.2.5
  * Correct RAILS_GEM_VERSION regexp. Use =version gem requirement
    instead of ~>version so you don't get surprised by a beta gem
    in production. This change means upgrading to 1.2.5 will
    require a boot.rb upgrade.  [Jeremy Kemper]
  * Move custom inflections example so available before route
    generation.  #6829 [dcmanges, Nate, piotrb]
- additional changes from 1.2.4
  * Add a new rake task to aid debugging of named routes.
    rake routes
  * use Gem.find_name instead of search when freezing gems.
    Prevent false positives for other gems with rails in the name.
    Closes #8729 [wselman]
  * Fix syntax error in dispatcher than wrecked failsafe responses.
    [#8625] [mtitorenko]
  * Add Active Resource to rails:freeze:edge and drop Action Web
    Service.  #8205 [underbluewaters, Jeremy Kemper]
  * Give generate scaffold a more descriptive database message.
    Closes #7316 [jeremymcanally]
  * Canonicalize RAILS_ROOT by using File.expand_path on Windows,
    which doesn't have to worry about symlinks, and
    Pathname#realpath elsewhere, which respects symlinks in
    relative paths but is incompatible with Windows.
    [#6755] [Jeremy Kemper, trevor]
* Mon May 14 2007 mrueckert@suse.de
- update to version 1.2.3:
  * Ruby 1.8.6 compatibility
  * Windows: include MinGW in RUBY_PLATFORM check.
    [#2982] [okkez000@gmail.com, Kaspar Schiess]
  * Stop swallowing errors during rake test [Koz]
- additional changes from version 1.2.2:
  * Fix gem deprecation warnings, which also means depending on
    RubyGems 0.9.0+ [Chad Fowler]
  * Require the dispatcher for Rails::Configuration#to_prepare.
    [Rick]
* Wed Jan 24 2007 mrueckert@suse.de
- update to rails 1.2.1:
  Too many changes to mention them here. see
  /usr/lib*/ruby/gems/1.8/gems/rails-1.2.1/CHANGELOG
* Fri Aug 11 2006 mrueckert@suse.de
- update to version 1.1.6:
  * Additional security patch
- Updated dependencies:
  * rubygem-actionpack 1.12.4 => 1.12.5
  * rubygem-actionmailer 1.2.4 => 1.2.6
  * rubygem-actionwebservice 1.1.5 => 1.1.6
* Thu Aug 10 2006 mrueckert@suse.de
- update to version 1.1.5:
  * Mention in docs that config.frameworks doesn't work when
    getting Rails via Gems. (rails:#4857) [Alisdair McDiarmid]
  * Change the scaffolding layout to use yield rather than
    @content_for_layout.  [Marcel Molina Jr.]
  * Includes critical security patch
- Updated dependencies:
  * rubygem-activerecord: 1.14.3 => 1.14.4
  * rubygem-actionpack 1.12.3 => 1.12.4
  * rubygem-actionmailer 1.2.3 => 1.2.4
  * rubygem-actionwebservice 1.1.4 => 1.1.5
* Sat Jul  1 2006 mrueckert@suse.de
- update to version 1.1.4:
  * Remove use of opts.on { |options[:name] } style hash assignment.
    References (rails:#4440). [headius@headius.com]
  * Updated to Action Pack 1.12.3, ActionWebService 1.1.4,
    ActionMailer 1.2.3
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.1.2
